apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: yc-pg-dumper
  namespace: yc-pg-dumper
spec:
  interval: 10m
  targetNamespace: yc-pg-dumper
  install:
    createNamespace: true
    remediation:
      retries: 3
  upgrade:
    remediation:
      retries: 3
  chart:
    spec:
      chart: yc-pg-dumper
      version: "0.1.5"
      sourceRef:
        kind: HelmRepository
        name: yc-oci-charts
        namespace: flux-system
      interval: 10m
  values:
    image:
      repository: cr.yandex/crp3ccidau046kdj8g9q/yc-pg-dumper
      tag: infra-latest
      pullPolicy: Always
